package models

// Config structure represent the main configuration of the project.
type Config struct {
	ProjectName        string         `yaml:"project_name"`
	ProjectDescription string         `yaml:"project_description"`
	ProjectOwner       string         `yaml:"project_owner"`
	ProjectType        APITypeName    `yaml:"project_type"`
	ModuleName         *string        `yaml:"module_name"`
	Features           FeaturesConfig `yaml:"features"`
}

// FeaturesConfig structure represent the configuration of all possible features.
type FeaturesConfig struct {
	DatabaseModels DatabaseModelsConfig `yaml:"database_models"`
}

// DatabaseModelsConfig structure represent the configuration of the Database Models feature.
type DatabaseModelsConfig struct {
	Enabled bool `yaml:"enabled"`
}
